Package org.apache.tapestry5.ioc.internal

## Class AbstractMethodInvokingInstrumenter

- java.lang.Object
- - org.apache.tapestry5.ioc.internal.AbstractMethodInvokingInstrumenter

- Direct Known Subclasses:
    `ServiceAdvisorImpl`, `ServiceDecoratorImpl`

      public class AbstractMethodInvokingInstrumenter
      extends java.lang.Object

  Base class for service decorators and service advisors that work by invoking a module method.
  Since:
    5.1.0.0

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.reflect.Method` | `method` |
    `protected java.util.Map<java.lang.Class,​java.lang.Object>` | `resourcesDefaults` |
    `protected java.lang.String` | `serviceId` |
    `protected java.lang.Class` | `serviceInterface` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractMethodInvokingInstrumenter​(ModuleBuilderSource moduleSource, java.lang.reflect.Method method, ServiceResources resources, PlasticProxyFactory proxyFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.Object` | `invoke​(InjectionResources injectionResources)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### resourcesDefaults

          protected final java.util.Map<java.lang.Class,​java.lang.Object> resourcesDefaults

    - #### method

          protected final java.lang.reflect.Method method

    - #### serviceInterface

          protected final java.lang.Class serviceInterface

    - #### serviceId

          protected final java.lang.String serviceId

  - ### Constructor Detail

    - #### AbstractMethodInvokingInstrumenter

          public AbstractMethodInvokingInstrumenter​(ModuleBuilderSource moduleSource,
                                                    java.lang.reflect.Method method,
                                                    ServiceResources resources,
                                                    PlasticProxyFactory proxyFactory)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### invoke

          protected java.lang.Object invoke​(InjectionResources injectionResources)